=head1 NAME

grabc - A tool to identify a pixel color of an X Window.

=head1 SYNOPSIS

 grabc v1.0.2
 A program to identify a pixel color of an X Window
 by muquit@muquit.com https://www.muquit.com/
 
 Usage: grabc [options]
 Where the options are:
  -v         - show version info
  -h         - show this usage
  -hex       - print pixel value as Hex on stdout
  -rgb       - print pixel value as RGB on stderr
  -W         - print the Window id at mouse click
  -w id      - window id in hex, use -l +x+y
  -l +x+y    - pixel co-ordinate. requires window id
  -d         - show debug messages
  -a         - Print all 16 bits of color. Default is high order 8 bits
 Example:
 * Print pixel color in hex on stdout:
    $ grabc
 * Show usage:
    $ grabc -h
 * Print Window Id (Note the upper case W):
    $ grabc -W
 * Print pixel color of Window iwith id 0x13234 at location 10,20
    $ grabc -w 0x13234 -l +10+20

=head1 DESCRIPTION

grabc is a simple but very useful program to determine the color string in 
hex (or in RGB components) by clicking on a pixel on the screen. While web 
browsing, lots of time you find a nice color and wonder what color is that. 
Well just use grabc!

When this program is run, the mouse pointer is grabbed and changed to a 
cross hair and when the mouse is clicked, the color of the clicked pixel 
is written to stdout in hex prefixed with #. 

=head1 LICENSE

MIT

=head1 AUTHOR

grabc is written by Muhammad Muquit E<lt>muquit@muquit.comE<gt>.
Homepage: L<https://www.muquit.com/>.
